* {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "Poppins", sans-serif;
}

.home-page {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.home-page.inactive {
  display: none;
}

.img-container {
  max-width: 760px;
}
.img-container img {
  width: 100%;
}

.start-button {
  font-family: inherit;
  font-size: 52px;
  font-weight: 600;
  color: white;
  background-color: rgba(53, 189, 58, 1);
  border: none;
  border-radius: 10px;
  padding: 20px 32px 20px 60px;
  box-shadow: 8px 9px 0px 8px rgba(1, 171, 8, 1);
  cursor: pointer;
  transition: transform 0.25s ease, box-shadow 0.25s ease;
}

.start-button:hover {
  transform: translateY(-4px);
  background-color: rgb(5, 206, 11);
}

.start.inactive {
  display: none;
}

.continue {
  display: none;
}

.continue.active {
  display: block;
}

.score {
  font-size: 24px;
  font-weight: 600;
  margin-top: 120px;
  display: none;
}

.score.active {
  display: block;
}

.question-page {
  width: 100%;
  /* height: 100vh; */
  background-color: rgba(204, 226, 194, 1);
  padding: 40px 10px 80px;
  /* padding-top: 40px;
  padding-bottom: 80px; */
  display: none;
  transition: background-color 0.5s ease-in-out;
}

.question-page.active {
  display: block;
}

.question-page.time-15s {
  background-color: rgba(212, 214, 159, 0.55);
}

.question-page.time-5s {
  background-color: rgba(219, 173, 173, 1);
}

.main-container {
  position: relative;
  max-width: 1080px;
  margin-inline: auto;
}

.logo-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.question-page .logo {
  width: 200px;
  cursor: pointer;
}

.qno {
  width: max-content;
  background-color: rgba(254, 195, 61, 1);
  font-size: 24px;
  font-weight: 600;
  padding: 5px 10px;
  margin-left: auto;
  border-radius: 8px;
}

.question-container {
  position: relative;
  margin-top: 20px;
  padding: 32px 60px;
  background-color: rgba(245, 245, 245, 0.5);
  border-radius: 12px;
  z-index: 0;
  /* box-shadow: 7px -5px 0 1px rgba(245, 245, 245, 0.3); */
}

.question-container::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 5px;
  left: 10px;
  border-radius: 12px;
  background-color: rgba(245, 245, 245, 0.5);
  z-index: -1;
}

.question {
  font-size: 24px;
  font-weight: 600;
  margin: 0;
}

.timer {
  position: relative;
  width: 100px;
  font-size: 24px;
  font-weight: 600;
  color: white;
  margin-top: 20px;
  margin-left: auto;
  border-radius: 6px;
  padding-block: 15px;
  text-align: center;
  background-color: rgba(2, 164, 9, 0.43);
  z-index: 0;
  transition: background-color 0.5s ease-in-out;
}

.timer::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 5px;
  left: 0;
  border-radius: 6px;
  background-color: rgba(2, 164, 9, 0.43);
  z-index: -1;
  transition: background-color 0.5s ease-in-out;
}

.timer.time-15s,
.timer.time-15s::after {
  background-color: rgba(197, 177, 0, 0.43);
}

.timer.time-5s,
.timer.time-5s::after {
  background-color: rgba(197, 12, 0, 0.43);
}

.option-container {
  position: relative;
  margin-top: 30px;
  padding: 20px 30px 1px 10px;
  background-color: rgba(245, 245, 245, 0.48);
  border-radius: 12px;
  z-index: 0;
}

.option-container::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: -10px;
  left: -10px;
  border-radius: 12px;
  background-color: rgba(245, 245, 245, 0.5);
  z-index: -1;
}

.option {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 24px;
  font-weight: 600;
  border: 3px solid rgba(217, 217, 217, 1);
  border-radius: 8px;
  margin-bottom: 36px;
  padding: 20px;
  cursor: pointer;
  transition: border 0.25s ease-in-out;
}

.option-container p {
  margin: 0;
}

.option span {
  display: none;
}

.option.correct span.correct,
.option.wrong span.wrong {
  font-size: 20px;
  font-weight: 400;
  display: flex;
  align-items: center;
}

.option span img {
  margin-left: 20px;
}

.option.correct {
  border: 3px solid rgba(53, 189, 58, 1);
}

.option.wrong {
  border: 3px solid rgba(255, 122, 122, 1);
}

.next {
  font-size: 24px;
  font-weight: 600;
  color: rgba(1, 171, 8, 1);
  width: max-content;
  margin-left: auto;
  text-decoration-line: underline;
  cursor: pointer;
  transition: color 0.25s ease-in-out;
}

.result-page {
  min-height: 100vh;
  padding: 70px 20px;
  display: none;
}

.result-page.active {
  display: block;
}

.result-page-logo-container {
  width: 160px;
  margin-inline: auto;
}

.result-page-logo-container img {
  width: 100%;
}

.result-page-logo-container p {
  font-size: 24px;
  font-weight: 600;
  width: max-content;
  margin: -20px auto 80px;
  padding-left: 24px;
  /* margin-inline: auto;
  margin-top: -20px;
  margin-bottom: 120px; */
}

.score-graph-bar {
  height: 72px;
  max-width: 600px;
  margin-inline: auto;
}

.red-graph {
  height: 100%;
  background-color: rgba(255, 122, 122, 1);
  border-radius: 10px;
}

.green-graph {
  height: 100%;
  background-color: rgba(53, 189, 58, 1);
  border-radius: 10px;
}

.total-correct-answers {
  width: max-content;
  margin-inline: auto;
  font-size: 20px;
  font-weight: 600;
}

.quote {
  font-size: 32px;
  font-weight: 600;
  text-align: center;
}

.retry-button {
  display: block;
  margin-inline: auto;
  background-color: rgba(53, 189, 58, 1);
  padding: 16px 60px;
  font-size: 24px;
  font-family: inherit;
  font-weight: 600;
  color: white;
  border: none;
  border-radius: 5px;
  box-shadow: 4px 4px 0px 4px rgba(1, 171, 8, 1);
  cursor: pointer;
}

.share-result {
  text-align: center;
  font-size: 24px;
  font-weight: 600;
  color: rgba(83, 83, 83, 1);
  margin-top: 80px;
}

.social-icons img + img {
  margin-left: 10px;
}

footer {
  position: fixed;
  bottom: 5px;
  left: 50%;
  transform: translate(-50%);
  text-align: center;
  font-size: 10px;
}

@media (max-width: 768px) {
  .start-button {
    margin-top: 40px;
    font-size: 24px;
    padding: 16px 24px 16px 40px;
    box-shadow: 2px 3px 0px 3px rgba(1, 171, 8, 1);
  }
}
